package com.loafle.overflow.container.general;

import com.loafle.overflow.container.general.server.GeneralContainerServer;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;

public class GeneralContainer {

    public static void main(String[] args) throws Exception {
        if (args.length <= 0) {
            System.out.println("first parameter is path of pid file");
            return;
        }
        String pidFilePath = args[0];

        try (AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext(
                "com.loafle.overflow")) {
            context.registerShutdownHook();
            context.getBeanFactory().registerSingleton("pidFilePath", pidFilePath);
            GeneralContainerServer server = context.getBean(GeneralContainerServer.class);
            server.start();
        }
    }
}
